## cppkin 1.1.2

=== debian/changelog ===
cppkin (1.1.2-1) unstable; urgency=low

  * Initial version

 -- Caoimhe Chaos <caoimhechaos@protonmail.com>  Mon, 28 Oct 2024 02:15:23 +0100
