=== debian/control ===
Source: cppkin
Section: libs
Priority: optional
Maintainer: Caoimhe Chaos <caoimhechaos@protonmail.com>
Uploaders: Caoimhe Chaos <caoimhechaos@protonmail.com>
Build-Depends: cmake, dh-cmake, dh-python, debhelper-compat (= 13), g++,
  libc-dev, libstdc++-dev, libspdlog-dev, libboost-all-dev, libcurl-dev,
  pybind11-dev, python3-pybind11, rapidjson-dev, python3-rapidjson,
  python3-bottle, libbenchmark-dev, libcore-dev, libthrift-dev, thrift-compiler,
  ninja-build, python3-all-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/dulikvor/cppKin/
Vcs-Git: https://github.com/dulikvor/cppKin.git
Vcs-Browser: https://github.com/dulikvor/cppKin/

Package: libcppkin1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description:  Zipkin tracing library for C++ (library files).

Package: libcppkin-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcppkin1 (= ${binary:Version}), libcore-dev (>> 1.0.0-0), libcore-dev (<< 1.1.0-0)
Description:  Zipkin tracing library for C++ (header files).

Package: libcppkin-doc
Architecture: any
Depends: ${misc:Depends}
Description:  Zipkin tracing library for C++ (documentation).

Package: python3-cppkin
Architecture: any
Depends: ${misc:Depends}
Description:  Zipkin tracing library for Python.
