=== debian/watch ===
version=4
https://github.com/dulikvor/cppKin/tags .*/v?(\d.*)@ARCHIVE_EXT@
